# Uses of Class
javax.swing.JComboBox

Packages that use JComboBox
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JComboBox in javax.swing

Constructors in javax.swing with parameters of type JComboBox
Modifier
Constructor
Description
``
`DefaultCellEditor(JComboBox<?> comboBox)`
Constructs a `DefaultCellEditor` object that uses a combo box.

## Uses of JComboBox in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JComboBox
Modifier and Type
Method
Description
`abstract boolean`
ComboBoxUI.`isFocusTraversable(JComboBox<?> c)`
Determine whether or not the combo box itself is traversable
`abstract boolean`
ComboBoxUI.`isPopupVisible(JComboBox<?> c)`
Determine the visibility of the popup
`abstract void`
ComboBoxUI.`setPopupVisible(JComboBox<?> c, boolean v)`
Set the visibility of the popup

## Uses of JComboBox in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JComboBox
Modifier and Type
Field
Description
`protected JComboBox<Object>`
BasicComboBoxUI.`comboBox`
The instance of `JComboBox`.
`protected JComboBox<Object>`
BasicComboPopup.`comboBox`
The instance of `JComboBox`.
Methods in javax.swing.plaf.basic with parameters of type JComboBox
Modifier and Type
Method
Description
`boolean`
BasicComboBoxUI.`isFocusTraversable(JComboBox<?> c)`
Determines if the JComboBox is focus traversable.
`boolean`
BasicComboBoxUI.`isPopupVisible(JComboBox<?> c)`
Tells if the popup is visible or not.
`void`
BasicComboBoxUI.`setPopupVisible(JComboBox<?> c, boolean v)`
Hides the popup.
Constructors in javax.swing.plaf.basic with parameters of type JComboBox
Modifier
Constructor
Description
``
`BasicComboPopup(JComboBox<Object> combo)`
Constructs a new instance of `BasicComboPopup`.

## Uses of JComboBox in javax.swing.plaf.metal

Fields in javax.swing.plaf.metal declared as JComboBox
Modifier and Type
Field
Description
`protected JComboBox<Object>`
MetalComboBoxButton.`comboBox`
The instance of `JComboBox`.
Methods in javax.swing.plaf.metal that return JComboBox
Modifier and Type
Method
Description
`final JComboBox<Object>`
MetalComboBoxButton.`getComboBox()`
Returns the `JComboBox`.
Methods in javax.swing.plaf.metal with parameters of type JComboBox
Modifier and Type
Method
Description
`final void`
MetalComboBoxButton.`setComboBox(JComboBox<Object> cb)`
Sets the `JComboBox`.
Constructors in javax.swing.plaf.metal with parameters of type JComboBox
Modifier
Constructor
Description
``
`MetalComboBoxButton(JComboBox<Object> cb, Icon i, boolean onlyIcon, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.
``
`MetalComboBoxButton(JComboBox<Object> cb, Icon i, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.
``
`MetalComboPopup(JComboBox<Object> cBox)`
Deprecated.
Constructs a new instance of `MetalComboPopup`.

## Uses of JComboBox in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JComboBox
Modifier and Type
Method
Description
`boolean`
MultiComboBoxUI.`isFocusTraversable(JComboBox<?> a)`
Invokes the `isFocusTraversable` method on each UI handled by this object.
`boolean`
MultiComboBoxUI.`isPopupVisible(JComboBox<?> a)`
Invokes the `isPopupVisible` method on each UI handled by this object.
`void`
MultiComboBoxUI.`setPopupVisible(JComboBox<?> a, boolean b)`
Invokes the `setPopupVisible` method on each UI handled by this object.